Assets

Interface with the autoZnetwork inventory assets.

Vehicle Assets (Private Access)

Vehicle Assets are additional files that can be associated with the vehicle. The following extensions are supported.

File TypeSupported Extensions
Video.mp4

List Assets for a Vehicle

GET Request: https://api.autoznetwork.com/v1/inventory/{INVENTORY_ID}/assets

AUTOZNETWORK_TOKEN="your API token"
AUTOZNETWORK_ORG_ID="your organization id"
AUTOZNETWORK_INVENTORY_ID="your vehicle id"

curl https://api.autoznetwork.com/v1/inventory/$AUTOZNETWORK_INVENTORY_ID/assets \
  -H "Authorization: Bearer $AUTOZNETWORK_TOKEN" \
  -H "X-AutozNetwork-Organization-Id: $AUTOZNETWORK_ORG_ID" \
  -H 'Accept: application/json'

Add Assets to a Vehicle

POST Request: https://api.autoznetwork.com/v1/inventory/{INVENTORY_ID}/assets

AUTOZNETWORK_TOKEN="your API token"
AUTOZNETWORK_ORG_ID="your organization id"
AUTOZNETWORK_INVENTORY_ID="your vehicle id"

curl -X POST https://api.autoznetwork.com/v1/inventory/$AUTOZNETWORK_INVENTORY_ID/assets \
  -H "Authorization: Bearer $AUTOZNETWORK_TOKEN" \
  -H "X-AutozNetwork-Organization-Id: $AUTOZNETWORK_ORG_ID" \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
    'url':
      'http://yourdomain.com/video.mp4'
  }

Delete an Asset from a Vehicle

DELETE Request: https://api.autoznetwork.com/v1/inventory/{INVENTORY_ID}/assets/{ASSET_ID}

AUTOZNETWORK_TOKEN="your API token"
AUTOZNETWORK_ORG_ID="your organization id"
AUTOZNETWORK_INVENTORY_ID="your vehicle id"
AUTOZNETNETWORK_ASSET_ID="your vehicle asset id"

curl -X DELETE https://api.autoznetwork.com/v1/inventory/$AUTOZNETWORK_INVENTORY_ID/assets/$AUTOZNETNETWORK_ASSET_ID \
  -H "Authorization: Bearer $AUTOZNETWORK_TOKEN" \
  -H "X-AutozNetwork-Organization-Id: $AUTOZNETWORK_ORG_ID" \
  -H 'Accept: application/json'

Ready to sell more?

Join other dealers that are unlocking sales, data, and time using an AI powered inventory management system.

AI enhances every new vehicle automatically
Certified two-way DMS & CRM integrations
Market-aware pricing on every unit
Merchandise once, syndicate everywhere
Photos, video & AI descriptions in minutes